---
layout: moneropedia
entry: "Eepsite"
tags: ["kovri"]
terms: ["Eepsite", "Hidden-Service", "Garlic-Site", "Garlic-Service"]
summary: "A website or service hosted within the I2P network"
---

### The Basics

Is it [**EEP!** *(in response to the site's content)*](https://en.wikipedia.org/wiki/Onomatopoeia), or **end-to-end protocol**, or something else entirely different?

While the original definition of eepsite has been lost with time, its use-case remains: an eepsite is a website or service that is hosted within (and only accessible by) the @I2P network.

### In-depth Information

Alternate names include:

1. *Hidden Service*
  - because the site/service is *hidden* within the @I2P network and can only be visited within the network
2. *Garlic Site*
  - because the website utilizes @I2P's @garlic-routing technology as a means of communicating with a client
  - because the service is hosted as a website and not any other type of service
3. *Garlic Service*
  - because the service utilizes @I2P's @garlic-routing technology as a means of communicating with a client
  - because the service is specific to services like IRC, email, or a Monero peer (but may also include websites)

### Notes

To learn how to setup an Eepsite (Hidden Service, Garlic Site, Garlic Service) visit the @Kovri [user-guide](https://github.com/monero-project/kovri/blob/master/doc/USER_GUIDE.md).
