---
layout: moneropedia
entry: "Fungibility"
terms: ["fungibility"]
summary: "property of a currency whereby two units can be substituted in place of one another"
---

### The Basics

{{ page.summary | capitalize }}.

Fungibility means that two units of a currency can be mutually substituted and the substituted currency is equal to another unit of the same size.  For example, two $10 bills can be exchanged and they are functionally identical to any other $10 bill in circulation (although $10 bills have unique ID numbers and are therefore not completely fungible).  Gold is probably a closer example of true fungibility, where any 1 oz. of gold of the same grade is worth the same as another 1 oz. of gold.  Monero is fungible due to the nature of the currency which provides no way to link transactions together nor trace the history of any particular XMR.  1 XMR is functionally identical to any other 1 XMR.

Fungibility is an advantage Monero has over Bitcoin and almost every other cryptocurrency, due to the privacy inherent in the Monero @blockchain and the permanently traceable nature of the Bitcoin blockchain.  With Bitcoin, any BTC can be tracked by anyone back to its creation @coinbase-transaction.  Therefore, if a coin has been used for an illegal purpose in the past, this history will be contained in the @blockchain in perpetuity.  This lack of fungibility means that certain businesses will be obligated to avoid accepting BTC that have been previously used for purposes which are illegal, or simply run afoul of their Terms of Service.  Currently some large Bitcoin companies are blocking, suspending, or closing accounts that have received Bitcoin used in online gambling or other purposes deemed unsavory by said companies.  

Monero has been built specifically to address the problem of traceability and non-fungibility inherent in other cryptocurrencies.  By having completely private transactions Monero is truly fungible and there can be no blacklisting of certain XMR, while at the same time providing all the benefits of a secure, decentralized, permanent blockchain.

